QUEUELAT(8)

# SPDX-License-Identifier: GPL-2.0-or-later

NAME
queuelat - Queue latency test program

SYNOPSIS

queuelat [-c|--cycles N] [-f|--freq F] [-h|--help] [-m|--max-len LEN] [-p|--packets F] [-q|--queue-len N] [-t|--timeout TIME]

DESCRIPTION
queuelat simulates a network queue checking for latency violations in packet processing.

OPTIONS
A summary of options is included below.

-c, --cycles=N
    Estimated number of cycles it takes to process one packet. This value should come from the envisioned packet forwarding application being simulated.

-f, --freq=F
    TSC frequency in MHz.

-h, --help
    Show help

-m, --max-len=N
    Maximum allowed latency, in nanoseconds. If latency to process any packet exceeds this value, the program quits, writing a message to the trace buffer.

-p, --packets=F
    Million packets per second that arrive for processing.

-q, --queue-len=N
    Minimum queue length to print in the trace

-t, --timeout=TIME
    Timeout in seconds to quit the program.

AUTHOR
queuelat was written by Marcelo Tosatti <mtosatti@redhat.com>